RemoteGymp · API v1
API-referens
Åtkomst och beteende
Referensexempel är mallar. Byt ut platshållare och kontrollera endpointens parametrar, behörigheter och schema innan du kör dem. För osäkra skrivningar, följ den slutpunktens återställnings- och försök igen.
Kräver en bärartoken och slutpunktens behörigheter. Åtkomsten förblir begränsad till omfattningen av dina autentiseringsuppgifter. Kontrollera funktionerna innan du använder enheten eller hanteringsåtgärder.
Sökresultat: 289
Inga resultat hittades.
-enheter58
GETLista enheter/v1/devices
Bläddra i enhetssammanfattningar en sida i taget. Följ nästa markör för fler resultat.
GET /v1/devices ↗mcp.cap.InventoryRead
-scheman (OpenAPI)
status
"Online" "Offline" "Busy" "Error" "Uninstalling" "Uninstalled"
parametrar
pageSize· fråga · tillval- Maximalt antal artiklar som begärs för denna sida. Slutpunktsspecifika gränser kan minska sidstorleken.
after· fråga · tillval- Fortsättningsposition från föregående svar. Utelämna för första sidan; behåll samma filter när du fortsätter.
companyId· fråga · tillval- Företagsidentifierare. En frågeparameter begränsar resultaten till detta företag; det utökar aldrig behörighetsomfånget.
siteId· fråga · tillval- Platsidentifierare. En frågeparameter begränsar resultaten till den här webbplatsen inom autentiseringsomfånget.
status· fråga · tillval- Filtrera enheter efter deras lagrade enhetsstatus.
name· fråga · tillval- Filtrera efter ett enhets- eller programvarunamn, enligt resursen som efterfrågas.
Exempelbegäran
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
}
Invoke-RestMethod -Method GET `
-Uri 'https://api.remotegymp.com/v1/devices' `
-Headers $headersBegäran och svarsschema (OpenAPI)
{
"description": "Browse device summaries one page at a time. Follow the next cursor for more results.",
"operationId": "get_v1_devices",
"parameters": [
{
"description": "Maximum number of items requested for this page. Endpoint-specific limits may reduce the page size.",
"in": "query",
"name": "pageSize",
"schema": {
"format": "int32",
"type": "integer"
}
},
{
"description": "Continuation position from the previous response. Omit for the first page; keep the same filters when continuing.",
"in": "query",
"name": "after",
"schema": {
"format": "uuid",
"type": "string"
}
},
{
"description": "Company identifier. A query parameter narrows the results to this company; it never expands credential scope.",
"in": "query",
"name": "companyId",
"schema": {
"format": "uuid",
"type": "string"
}
},
{
"description": "Site identifier. A query parameter narrows the results to this site within credential scope.",
"in": "query",
"name": "siteId",
"schema": {
"format": "uuid",
"type": "string"
}
},
{
"description": "Filter devices by their stored device status.",
"in": "query",
"name": "status",
"schema": {
"enum": [
"Online",
"Offline",
"Busy",
"Error",
"Uninstalling",
"Uninstalled"
],
"type": "string"
}
},
{
"description": "Filter by a device or software name, according to the resource being queried.",
"in": "query",
"name": "name",
"schema": {
"type": "string"
}
}
],
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/PageOfDeviceResponse"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "List devices",
"tags": [
"Devices"
],
"x-required-capabilities": [
"mcp.cap.InventoryRead"
]
}GETSkaffa en enhet/v1/devices/{deviceId}
Läs en enhets sammanfattning med dess ID.
GET /v1/devices/{deviceId} ↗mcp.cap.InventoryRead
parametrar
deviceId· sökväg · krävs- Enhetsidentifierare returneras av motsvarande enhetslista. Hanterade agenter och upptäckta nätverksenheter har olika identifierare.
Exempelbegäran
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
}
Invoke-RestMethod -Method GET `
-Uri 'https://api.remotegymp.com/v1/devices/<deviceId>' `
-Headers $headersBegäran och svarsschema (OpenAPI)
{
"description": "Read one device's summary using its ID.",
"operationId": "get_v1_devices_deviceId",
"parameters": [
{
"description": "Device identifier returned by the corresponding device list. Managed agents and discovered network devices have different identifiers.",
"in": "path",
"name": "deviceId",
"required": true,
"schema": {
"format": "uuid",
"type": "string"
}
}
],
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/DeviceResponse"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Get a device",
"tags": [
"Devices"
],
"x-required-capabilities": [
"mcp.cap.InventoryRead"
]
}POSTAvinstallera en agent/v1/devices/{deviceId}/agent/uninstall
Välj om inventeringsposten ska behållas. Bekräftelse bevisar inte borttagning.
POST /v1/devices/{deviceId}/agent/uninstall ↗mcp.cap.EnrollmentManage
parametrar
deviceId· sökväg · krävs- Enhetsidentifierare returneras av motsvarande enhetslista. Hanterade agenter och upptäckta nätverksenheter har olika identifierare.
Exempelbegäran
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
'Content-Type' = 'application/json'
}
$body = '{
"idempotencyKey": "<value>",
"value": false
}'
Invoke-RestMethod -Method POST `
-Uri 'https://api.remotegymp.com/v1/devices/<deviceId>/agent/uninstall' `
-Headers $headers `
-Body ([System.Text.Encoding]::UTF8.GetBytes($body))Begäran och svarsschema (OpenAPI)
{
"description": "Choose whether to retain its inventory entry. Acknowledgement does not prove removal.",
"operationId": "post_v1_devices_deviceId_agent_uninstall",
"parameters": [
{
"description": "Device identifier returned by the corresponding device list. Managed agents and discovered network devices have different identifiers.",
"in": "path",
"name": "deviceId",
"required": true,
"schema": {
"format": "uuid",
"type": "string"
}
}
],
"requestBody": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/IntegrationMutationOfboolean"
}
}
},
"required": true
},
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/RecoveredOperation"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Uninstall an agent",
"tags": [
"Devices"
],
"x-required-capabilities": [
"mcp.cap.EnrollmentManage"
]
}POSTAvbryt ett kommando/v1/devices/{deviceId}/commands/{operationId}/cancel
Använd det ursprungliga kommandokvittot som ägs av denna behörighet. Avbokning upphäver inte effekterna.
POST /v1/devices/{deviceId}/commands/{operationId}/cancel ↗mcp.cap.CommandsExecute
parametrar
deviceId· sökväg · krävs- Enhetsidentifierare returneras av motsvarande enhetslista. Hanterade agenter och upptäckta nätverksenheter har olika identifierare.
operationId· sökväg · krävs- Kvittoidentifierare för drift på toppnivå. Granska detta kvitto för att inspektera framstegen och resultatet.
Exempelbegäran
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
'Content-Type' = 'application/json'
}
$body = '{
"idempotencyKey": "<value>"
}'
Invoke-RestMethod -Method POST `
-Uri 'https://api.remotegymp.com/v1/devices/<deviceId>/commands/<operationId>/cancel' `
-Headers $headers `
-Body ([System.Text.Encoding]::UTF8.GetBytes($body))Begäran och svarsschema (OpenAPI)
{
"description": "Use the original command receipt owned by this credential. Cancellation does not undo effects.",
"operationId": "post_v1_devices_deviceId_commands_operationId_cancel",
"parameters": [
{
"description": "Device identifier returned by the corresponding device list. Managed agents and discovered network devices have different identifiers.",
"in": "path",
"name": "deviceId",
"required": true,
"schema": {
"format": "uuid",
"type": "string"
}
},
{
"description": "Top-level operation receipt identifier. Poll this receipt to inspect progress and the result.",
"in": "path",
"name": "operationId",
"required": true,
"schema": {
"format": "uuid",
"type": "string"
}
}
],
"requestBody": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/IntegrationAutomationKey"
}
}
},
"required": true
},
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/RecoveredOperation"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Cancel a command",
"tags": [
"Devices"
],
"x-required-capabilities": [
"mcp.cap.CommandsExecute"
]
}POSTSkanna diskusage/v1/devices/{deviceId}/disk-usage
Ange ett skannings-ID och valda volymer. Återanvänd ID:t för att avbryta skanningen.
POST /v1/devices/{deviceId}/disk-usage ↗mcp.cap.DeviceMaintenance
parametrar
deviceId· sökväg · krävs- Enhetsidentifierare returneras av motsvarande enhetslista. Hanterade agenter och upptäckta nätverksenheter har olika identifierare.
Exempelbegäran
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
'Content-Type' = 'application/json'
}
$body = '{
"idempotencyKey": "<value>",
"value": {
"operationId": "<UUID>",
"volumeIds": [
"<value>"
]
}
}'
Invoke-RestMethod -Method POST `
-Uri 'https://api.remotegymp.com/v1/devices/<deviceId>/disk-usage' `
-Headers $headers `
-Body ([System.Text.Encoding]::UTF8.GetBytes($body))Begäran och svarsschema (OpenAPI)
{
"description": "Supply a scan identifier and selected volumes. Reuse the identifier to cancel the scan.",
"operationId": "post_v1_devices_deviceId_disk_usage",
"parameters": [
{
"description": "Device identifier returned by the corresponding device list. Managed agents and discovered network devices have different identifiers.",
"in": "path",
"name": "deviceId",
"required": true,
"schema": {
"format": "uuid",
"type": "string"
}
}
],
"requestBody": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/IntegrationMutationOfIntegrationDiskScan"
}
}
},
"required": true
},
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/RecoveredOperation"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Scan disk usage",
"tags": [
"Devices"
],
"x-required-capabilities": [
"mcp.cap.DeviceMaintenance"
]
}POSTAvbryt en diskskanning/v1/devices/{deviceId}/disk-usage/cancel
Ange ett skannings-ID och valda volymer. Återanvänd ID:t för att avbryta skanningen.
POST /v1/devices/{deviceId}/disk-usage/cancel ↗mcp.cap.DeviceMaintenance
parametrar
deviceId· sökväg · krävs- Enhetsidentifierare returneras av motsvarande enhetslista. Hanterade agenter och upptäckta nätverksenheter har olika identifierare.
Exempelbegäran
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
'Content-Type' = 'application/json'
}
$body = '{
"idempotencyKey": "<value>",
"value": "<UUID>"
}'
Invoke-RestMethod -Method POST `
-Uri 'https://api.remotegymp.com/v1/devices/<deviceId>/disk-usage/cancel' `
-Headers $headers `
-Body ([System.Text.Encoding]::UTF8.GetBytes($body))Begäran och svarsschema (OpenAPI)
{
"description": "Supply a scan identifier and selected volumes. Reuse the identifier to cancel the scan.",
"operationId": "post_v1_devices_deviceId_disk_usage_cancel",
"parameters": [
{
"description": "Device identifier returned by the corresponding device list. Managed agents and discovered network devices have different identifiers.",
"in": "path",
"name": "deviceId",
"required": true,
"schema": {
"format": "uuid",
"type": "string"
}
}
],
"requestBody": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/IntegrationMutationOfGuid"
}
}
},
"required": true
},
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/RecoveredOperation"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Cancel a disk scan",
"tags": [
"Devices"
],
"x-required-capabilities": [
"mcp.cap.DeviceMaintenance"
]
}GETLista diskvolymer/v1/devices/{deviceId}/disk-usage/volumes
Läs aktuell slutpunktdiagnostik inom behörighetsområdet.
GET /v1/devices/{deviceId}/disk-usage/volumes ↗mcp.cap.InventoryRead
parametrar
deviceId· sökväg · krävs- Enhetsidentifierare returneras av motsvarande enhetslista. Hanterade agenter och upptäckta nätverksenheter har olika identifierare.
Exempelbegäran
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
}
Invoke-RestMethod -Method GET `
-Uri 'https://api.remotegymp.com/v1/devices/<deviceId>/disk-usage/volumes' `
-Headers $headersBegäran och svarsschema (OpenAPI)
{
"description": "Read current endpoint diagnostics within credential scope.",
"operationId": "get_v1_devices_deviceId_disk_usage_volumes",
"parameters": [
{
"description": "Device identifier returned by the corresponding device list. Managed agents and discovered network devices have different identifiers.",
"in": "path",
"name": "deviceId",
"required": true,
"schema": {
"format": "uuid",
"type": "string"
}
}
],
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"items": {
"$ref": "#/components/schemas/DiskUsageVolumeInfoDto"
},
"type": "array"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "List disk volumes",
"tags": [
"Devices"
],
"x-required-capabilities": [
"mcp.cap.InventoryRead"
]
}GETLäs lagrade händelseloggresultat/v1/devices/{deviceId}/event-logs
Läs händelseloggresultat som redan samlats in för enheten.
GET /v1/devices/{deviceId}/event-logs ↗mcp.cap.InventoryRead
parametrar
deviceId· sökväg · krävs- Enhetsidentifierare returneras av motsvarande enhetslista. Hanterade agenter och upptäckta nätverksenheter har olika identifierare.
offset· fråga · tillval- Antal objekt att hoppa över, från noll. Fortsätt använda offseten som returneras av slutpunkten när den är tillgänglig.
pageSize· fråga · tillval- Maximalt antal artiklar som begärs för denna sida. Slutpunktsspecifika gränser kan minska sidstorleken.
Exempelbegäran
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
}
Invoke-RestMethod -Method GET `
-Uri 'https://api.remotegymp.com/v1/devices/<deviceId>/event-logs' `
-Headers $headersBegäran och svarsschema (OpenAPI)
{
"description": "Read event-log results already collected for the device.",
"operationId": "get_v1_devices_deviceId_event_logs",
"parameters": [
{
"description": "Device identifier returned by the corresponding device list. Managed agents and discovered network devices have different identifiers.",
"in": "path",
"name": "deviceId",
"required": true,
"schema": {
"format": "uuid",
"type": "string"
}
},
{
"description": "Number of items to skip, starting at zero. Continue using the offset returned by the endpoint when available.",
"in": "query",
"name": "offset",
"schema": {
"format": "int32",
"type": "integer"
}
},
{
"description": "Maximum number of items requested for this page. Endpoint-specific limits may reduce the page size.",
"in": "query",
"name": "pageSize",
"schema": {
"format": "int32",
"type": "integer"
}
}
],
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/AssetInventorySection"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Read stored event-log results",
"tags": [
"Devices"
],
"x-required-capabilities": [
"mcp.cap.InventoryRead"
]
}GETLäs live händelseloggar/v1/devices/{deviceId}/event-logs/live
Begär händelselogginformation från enheten istället för att bara lita på lagrade resultat.
GET /v1/devices/{deviceId}/event-logs/live ↗mcp.cap.InventoryRead
-scheman (OpenAPI)
level
"Critical" "Error" "Warning"
parametrar
deviceId· sökväg · krävs- Enhetsidentifierare returneras av motsvarande enhetslista. Hanterade agenter och upptäckta nätverksenheter har olika identifierare.
from· fråga · tillval- Starttidsstämpel för det begärda tidsintervallet. Inkludera en UTC offset.
to· fråga · tillval- Sluttidsstämpel för det begärda tidsintervallet. Inkludera en UTC offset och välj en tid efter starten.
level· fråga · tillval- Filtrera de begärda händelseloggarna efter händelsenivå.
Exempelbegäran
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
}
Invoke-RestMethod -Method GET `
-Uri 'https://api.remotegymp.com/v1/devices/<deviceId>/event-logs/live' `
-Headers $headersBegäran och svarsschema (OpenAPI)
{
"description": "Request event-log information from the device rather than relying only on stored results.",
"operationId": "get_v1_devices_deviceId_event_logs_live",
"parameters": [
{
"description": "Device identifier returned by the corresponding device list. Managed agents and discovered network devices have different identifiers.",
"in": "path",
"name": "deviceId",
"required": true,
"schema": {
"format": "uuid",
"type": "string"
}
},
{
"description": "Start timestamp for the requested time range. Include a UTC offset.",
"in": "query",
"name": "from",
"schema": {
"format": "date-time",
"type": "string"
}
},
{
"description": "End timestamp for the requested time range. Include a UTC offset and choose a time after the start.",
"in": "query",
"name": "to",
"schema": {
"format": "date-time",
"type": "string"
}
},
{
"description": "Filter the requested event logs by event level.",
"in": "query",
"name": "level",
"schema": {
"enum": [
"Critical",
"Error",
"Warning"
],
"type": "string"
}
}
],
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiLiveEventLogs"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Read live event logs",
"tags": [
"Devices"
],
"x-required-capabilities": [
"mcp.cap.InventoryRead"
]
}POSTSamla resultat från händelseloggar/v1/devices/{deviceId}/event-logs/query
Begär en avgränsad händelseloggförfrågan på enheten och registrera dess resultat för senare läsning.
POST /v1/devices/{deviceId}/event-logs/query ↗mcp.cap.InventoryRead
parametrar
deviceId· sökväg · krävs- Enhetsidentifierare returneras av motsvarande enhetslista. Hanterade agenter och upptäckta nätverksenheter har olika identifierare.
Exempelbegäran
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
'Content-Type' = 'application/json'
}
$body = '{
"channels": [
"<value>"
],
"fromUtc": "<UTC date and time>",
"toUtc": "<UTC date and time>"
}'
Invoke-RestMethod -Method POST `
-Uri 'https://api.remotegymp.com/v1/devices/<deviceId>/event-logs/query' `
-Headers $headers `
-Body ([System.Text.Encoding]::UTF8.GetBytes($body))Begäran och svarsschema (OpenAPI)
{
"description": "Request a bounded event-log query on the device and record its results for later reading.",
"operationId": "post_v1_devices_deviceId_event_logs_query",
"parameters": [
{
"description": "Device identifier returned by the corresponding device list. Managed agents and discovered network devices have different identifiers.",
"in": "path",
"name": "deviceId",
"required": true,
"schema": {
"format": "uuid",
"type": "string"
}
}
],
"requestBody": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/EventLogQueryDto"
}
}
},
"required": true
},
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/IntegrationEventLogResponse"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Collect event-log results",
"tags": [
"Devices"
],
"x-required-capabilities": [
"mcp.cap.InventoryRead"
]
}GETFå lagrat lager/v1/devices/{deviceId}/inventory
Läs insamlad hårdvaru- och säkerhetsfakta. Saknade värden är okända; detta utlöser inte en ny skanning.
GET /v1/devices/{deviceId}/inventory ↗mcp.cap.InventoryRead
Lagrad hårdvara och säkerhetssammanfattningsfakta. Nullvärden är okända; tidsstämplar fastställer observationsfriskhet. Inga återställningsnycklar, hemligt material eller enhetskontrollmyndighet.
parametrar
deviceId· sökväg · krävs- Enhetsidentifierare returneras av motsvarande enhetslista. Hanterade agenter och upptäckta nätverksenheter har olika identifierare.
Exempelbegäran
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
}
Invoke-RestMethod -Method GET `
-Uri 'https://api.remotegymp.com/v1/devices/<deviceId>/inventory' `
-Headers $headersBegäran och svarsschema (OpenAPI)
{
"description": "Stored hardware and security summary facts. Null values are unknown; timestamps establish observation freshness. No recovery keys, secret material or device-control authority.",
"operationId": "get_v1_devices_deviceId_inventory",
"parameters": [
{
"description": "Device identifier returned by the corresponding device list. Managed agents and discovered network devices have different identifiers.",
"in": "path",
"name": "deviceId",
"required": true,
"schema": {
"format": "uuid",
"type": "string"
}
}
],
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/InventoryResponse"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Get stored inventory",
"tags": [
"Devices"
],
"x-required-capabilities": [
"mcp.cap.InventoryRead"
]
}GETSkaffa en inventeringssektion/v1/devices/{deviceId}/inventory/{section}
Läs en sektion som stöds av enhetens lagrade tillgångsinventering.
GET /v1/devices/{deviceId}/inventory/{section} ↗mcp.cap.InventoryRead
parametrar
deviceId· sökväg · krävs- Enhetsidentifierare returneras av motsvarande enhetslista. Hanterade agenter och upptäckta nätverksenheter har olika identifierare.
section· sökväg · krävs- Inventeringssektion att läsa. Läs manifest först för sektioner som stöds; följ nextOffset för arraysektioner.
offset· fråga · tillval- Antal objekt att hoppa över, från noll. Fortsätt använda offseten som returneras av slutpunkten när den är tillgänglig.
pageSize· fråga · tillval- Maximalt antal artiklar som begärs för denna sida. Slutpunktsspecifika gränser kan minska sidstorleken.
Exempelbegäran
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
}
Invoke-RestMethod -Method GET `
-Uri 'https://api.remotegymp.com/v1/devices/<deviceId>/inventory/<section>' `
-Headers $headersBegäran och svarsschema (OpenAPI)
{
"description": "Read one supported section of the device's stored asset inventory.",
"operationId": "get_v1_devices_deviceId_inventory_section",
"parameters": [
{
"description": "Device identifier returned by the corresponding device list. Managed agents and discovered network devices have different identifiers.",
"in": "path",
"name": "deviceId",
"required": true,
"schema": {
"format": "uuid",
"type": "string"
}
},
{
"description": "Inventory section to read. Read manifest first for supported sections; follow nextOffset for array sections.",
"in": "path",
"name": "section",
"required": true,
"schema": {
"type": "string"
}
},
{
"description": "Number of items to skip, starting at zero. Continue using the offset returned by the endpoint when available.",
"in": "query",
"name": "offset",
"schema": {
"format": "int32",
"type": "integer"
}
},
{
"description": "Maximum number of items requested for this page. Endpoint-specific limits may reduce the page size.",
"in": "query",
"name": "pageSize",
"schema": {
"format": "int32",
"type": "integer"
}
}
],
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/AssetInventorySection"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Get an inventory section",
"tags": [
"Devices"
],
"x-required-capabilities": [
"mcp.cap.InventoryRead"
]
}GETLista köade jobb/v1/devices/{deviceId}/jobs
Läs väntande och pågående jobb. Saknade jobb bevisar inte framgång.
GET /v1/devices/{deviceId}/jobs ↗mcp.cap.InventoryRead
-scheman (OpenAPI)
DeviceJobStatus
0 = Pending 1 = Running 2 = Completed 3 = Failed 4 = Cancelled
parametrar
deviceId· sökväg · krävs- Enhetsidentifierare returneras av motsvarande enhetslista. Hanterade agenter och upptäckta nätverksenheter har olika identifierare.
pageSize· fråga · tillval- Maximalt antal artiklar som begärs för denna sida. Slutpunktsspecifika gränser kan minska sidstorleken.
after· fråga · tillval- Fortsättningsposition från föregående svar. Utelämna för första sidan; behåll samma filter när du fortsätter.
Exempelbegäran
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
}
Invoke-RestMethod -Method GET `
-Uri 'https://api.remotegymp.com/v1/devices/<deviceId>/jobs' `
-Headers $headersBegäran och svarsschema (OpenAPI)
{
"description": "Read pending and running jobs. Missing jobs do not prove success.",
"operationId": "get_v1_devices_deviceId_jobs",
"parameters": [
{
"description": "Device identifier returned by the corresponding device list. Managed agents and discovered network devices have different identifiers.",
"in": "path",
"name": "deviceId",
"required": true,
"schema": {
"format": "uuid",
"type": "string"
}
},
{
"description": "Maximum number of items requested for this page. Endpoint-specific limits may reduce the page size.",
"in": "query",
"name": "pageSize",
"schema": {
"format": "int32",
"type": "integer"
}
},
{
"description": "Continuation position from the previous response. Omit for the first page; keep the same filters when continuing.",
"in": "query",
"name": "after",
"schema": {
"format": "uuid",
"type": "string"
}
}
],
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/IntegrationJobPage"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "List queued jobs",
"tags": [
"Devices"
],
"x-required-capabilities": [
"mcp.cap.InventoryRead"
]
}POSTKöa ett offline-kommando/v1/devices/{deviceId}/jobs/command
Köa arbete för återanslutning. Nuvarande autentiseringsuppgifter och behörigheter kontrolleras igen innan genomförande.
POST /v1/devices/{deviceId}/jobs/command ↗mcp.cap.CommandsExecute
parametrar
deviceId· sökväg · krävs- Enhetsidentifierare returneras av motsvarande enhetslista. Hanterade agenter och upptäckta nätverksenheter har olika identifierare.
Exempelbegäran
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
'Content-Type' = 'application/json'
}
$body = '{
"idempotencyKey": "<value>",
"value": {
"command": "<value>",
"shell": "<value>"
}
}'
Invoke-RestMethod -Method POST `
-Uri 'https://api.remotegymp.com/v1/devices/<deviceId>/jobs/command' `
-Headers $headers `
-Body ([System.Text.Encoding]::UTF8.GetBytes($body))Begäran och svarsschema (OpenAPI)
{
"description": "Queue work for reconnection. Current credentials and permissions are checked again before execution.",
"operationId": "post_v1_devices_deviceId_jobs_command",
"parameters": [
{
"description": "Device identifier returned by the corresponding device list. Managed agents and discovered network devices have different identifiers.",
"in": "path",
"name": "deviceId",
"required": true,
"schema": {
"format": "uuid",
"type": "string"
}
}
],
"requestBody": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/IntegrationMutationOfIntegrationQueuedCommand"
}
}
},
"required": true
},
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/RecoveredOperation"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Queue an offline command",
"tags": [
"Devices"
],
"x-required-capabilities": [
"mcp.cap.CommandsExecute"
]
}POSTKöa en agentavinstallation/v1/devices/{deviceId}/jobs/uninstall
Köa arbete för återanslutning. Nuvarande autentiseringsuppgifter och behörigheter kontrolleras igen innan genomförande.
POST /v1/devices/{deviceId}/jobs/uninstall ↗mcp.cap.EnrollmentManage
parametrar
deviceId· sökväg · krävs- Enhetsidentifierare returneras av motsvarande enhetslista. Hanterade agenter och upptäckta nätverksenheter har olika identifierare.
Exempelbegäran
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
'Content-Type' = 'application/json'
}
$body = '{
"idempotencyKey": "<value>",
"value": false
}'
Invoke-RestMethod -Method POST `
-Uri 'https://api.remotegymp.com/v1/devices/<deviceId>/jobs/uninstall' `
-Headers $headers `
-Body ([System.Text.Encoding]::UTF8.GetBytes($body))Begäran och svarsschema (OpenAPI)
{
"description": "Queue work for reconnection. Current credentials and permissions are checked again before execution.",
"operationId": "post_v1_devices_deviceId_jobs_uninstall",
"parameters": [
{
"description": "Device identifier returned by the corresponding device list. Managed agents and discovered network devices have different identifiers.",
"in": "path",
"name": "deviceId",
"required": true,
"schema": {
"format": "uuid",
"type": "string"
}
}
],
"requestBody": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/IntegrationMutationOfboolean"
}
}
},
"required": true
},
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/RecoveredOperation"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Queue an agent uninstall",
"tags": [
"Devices"
],
"x-required-capabilities": [
"mcp.cap.EnrollmentManage"
]
}GETLäs ett köat jobb/v1/devices/{deviceId}/jobs/{jobId}
Läs väntande och pågående jobb. Saknade jobb bevisar inte framgång.
GET /v1/devices/{deviceId}/jobs/{jobId} ↗mcp.cap.InventoryRead
-scheman (OpenAPI)
DeviceJobStatus
0 = Pending 1 = Running 2 = Completed 3 = Failed 4 = Cancelled
parametrar
deviceId· sökväg · krävs- Enhetsidentifierare returneras av motsvarande enhetslista. Hanterade agenter och upptäckta nätverksenheter har olika identifierare.
jobId· sökväg · krävs- Identifierare som returneras av motsvarande resurslista eller skapande resultat.
Exempelbegäran
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
}
Invoke-RestMethod -Method GET `
-Uri 'https://api.remotegymp.com/v1/devices/<deviceId>/jobs/<jobId>' `
-Headers $headersBegäran och svarsschema (OpenAPI)
{
"description": "Read pending and running jobs. Missing jobs do not prove success.",
"operationId": "get_v1_devices_deviceId_jobs_jobId",
"parameters": [
{
"description": "Device identifier returned by the corresponding device list. Managed agents and discovered network devices have different identifiers.",
"in": "path",
"name": "deviceId",
"required": true,
"schema": {
"format": "uuid",
"type": "string"
}
},
{
"description": "Identifier returned by the corresponding resource list or creation result.",
"in": "path",
"name": "jobId",
"required": true,
"schema": {
"format": "uuid",
"type": "string"
}
}
],
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/IntegrationJobView"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Read a queued job",
"tags": [
"Devices"
],
"x-required-capabilities": [
"mcp.cap.InventoryRead"
]
}POSTAvbryt ett köat jobb/v1/devices/{deviceId}/jobs/{jobId}/cancel
Avbryt endast innan jobbet har påbörjats för körning.
POST /v1/devices/{deviceId}/jobs/{jobId}/cancel ↗mcp.cap.InventoryRead
parametrar
deviceId· sökväg · krävs- Enhetsidentifierare returneras av motsvarande enhetslista. Hanterade agenter och upptäckta nätverksenheter har olika identifierare.
jobId· sökväg · krävs- Identifierare som returneras av motsvarande resurslista eller skapande resultat.
Exempelbegäran
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
'Content-Type' = 'application/json'
}
$body = '{
"idempotencyKey": "<value>"
}'
Invoke-RestMethod -Method POST `
-Uri 'https://api.remotegymp.com/v1/devices/<deviceId>/jobs/<jobId>/cancel' `
-Headers $headers `
-Body ([System.Text.Encoding]::UTF8.GetBytes($body))Begäran och svarsschema (OpenAPI)
{
"description": "Cancel only before the job is claimed for execution.",
"operationId": "post_v1_devices_deviceId_jobs_jobId_cancel",
"parameters": [
{
"description": "Device identifier returned by the corresponding device list. Managed agents and discovered network devices have different identifiers.",
"in": "path",
"name": "deviceId",
"required": true,
"schema": {
"format": "uuid",
"type": "string"
}
},
{
"description": "Identifier returned by the corresponding resource list or creation result.",
"in": "path",
"name": "jobId",
"required": true,
"schema": {
"format": "uuid",
"type": "string"
}
}
],
"requestBody": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/IntegrationAutomationKey"
}
}
},
"required": true
},
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/RecoveredOperation"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Cancel a queued job",
"tags": [
"Devices"
],
"x-required-capabilities": [
"mcp.cap.InventoryRead"
]
}GETKontrollera Linux-beredskap/v1/devices/{deviceId}/linux-readiness
Läs aktuell slutpunktdiagnostik inom behörighetsområdet.
GET /v1/devices/{deviceId}/linux-readiness ↗mcp.cap.InventoryRead
-scheman (OpenAPI)
LinuxReadinessState
0 = Ready 1 = Warning 2 = Blocked 3 = NotApplicable
parametrar
deviceId· sökväg · krävs- Enhetsidentifierare returneras av motsvarande enhetslista. Hanterade agenter och upptäckta nätverksenheter har olika identifierare.
Exempelbegäran
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
}
Invoke-RestMethod -Method GET `
-Uri 'https://api.remotegymp.com/v1/devices/<deviceId>/linux-readiness' `
-Headers $headersBegäran och svarsschema (OpenAPI)
{
"description": "Read current endpoint diagnostics within credential scope.",
"operationId": "get_v1_devices_deviceId_linux_readiness",
"parameters": [
{
"description": "Device identifier returned by the corresponding device list. Managed agents and discovered network devices have different identifiers.",
"in": "path",
"name": "deviceId",
"required": true,
"schema": {
"format": "uuid",
"type": "string"
}
}
],
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/LinuxReadinessReportDto"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Check Linux readiness",
"tags": [
"Devices"
],
"x-required-capabilities": [
"mcp.cap.InventoryRead"
]
}GETFå inspelad patchstatus/v1/devices/{deviceId}/patches
Läs lagrade patchfakta, saknade uppdateringar och misslyckanden. Detta söker inte efter eller installerar uppdateringar.
GET /v1/devices/{deviceId}/patches ↗mcp.cap.PatchingRead
-scheman (OpenAPI)
PatchRebootBehavior
0 = Unknown 1 = Never 2 = Always 3 = CanRequest
PatchSeverity
0 = Unknown 1 = Low 2 = Moderate 3 = Important 4 = Critical
PatchUpdateType
0 = Unknown 1 = Software 2 = Driver
PatchComplianceState
0 = Unknown 1 = Compliant 2 = MissingUpdates 3 = ScanFailed 4 = Unsupported
parametrar
deviceId· sökväg · krävs- Enhetsidentifierare returneras av motsvarande enhetslista. Hanterade agenter och upptäckta nätverksenheter har olika identifierare.
Exempelbegäran
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
}
Invoke-RestMethod -Method GET `
-Uri 'https://api.remotegymp.com/v1/devices/<deviceId>/patches' `
-Headers $headersBegäran och svarsschema (OpenAPI)
{
"description": "Read stored patch facts, missing updates and failures. This does not scan for or install updates.",
"operationId": "get_v1_devices_deviceId_patches",
"parameters": [
{
"description": "Device identifier returned by the corresponding device list. Managed agents and discovered network devices have different identifiers.",
"in": "path",
"name": "deviceId",
"required": true,
"schema": {
"format": "uuid",
"type": "string"
}
}
],
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/PatchFactsResponse"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Get recorded patch status",
"tags": [
"Devices"
],
"x-required-capabilities": [
"mcp.cap.PatchingRead"
]
}GETFå prestandahistorik/v1/devices/{deviceId}/performance
Läs bibehållna prestandaprover under ett tidsintervall. Luckor betyder att inget prov togs.
GET /v1/devices/{deviceId}/performance ↗mcp.cap.InventoryRead
parametrar
deviceId· sökväg · krävs- Enhetsidentifierare returneras av motsvarande enhetslista. Hanterade agenter och upptäckta nätverksenheter har olika identifierare.
from· fråga · tillval- Starttidsstämpel för det begärda tidsintervallet. Inkludera en UTC offset.
to· fråga · tillval- Sluttidsstämpel för det begärda tidsintervallet. Inkludera en UTC offset och välj en tid efter starten.
Exempelbegäran
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
}
Invoke-RestMethod -Method GET `
-Uri 'https://api.remotegymp.com/v1/devices/<deviceId>/performance' `
-Headers $headersBegäran och svarsschema (OpenAPI)
{
"description": "Read retained performance samples for a time range. Gaps mean no sample was collected.",
"operationId": "get_v1_devices_deviceId_performance",
"parameters": [
{
"description": "Device identifier returned by the corresponding device list. Managed agents and discovered network devices have different identifiers.",
"in": "path",
"name": "deviceId",
"required": true,
"schema": {
"format": "uuid",
"type": "string"
}
},
{
"description": "Start timestamp for the requested time range. Include a UTC offset.",
"in": "query",
"name": "from",
"schema": {
"format": "date-time",
"type": "string"
}
},
{
"description": "End timestamp for the requested time range. Include a UTC offset and choose a time after the start.",
"in": "query",
"name": "to",
"schema": {
"format": "date-time",
"type": "string"
}
}
],
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/PerformanceHistoryResponse"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Get performance history",
"tags": [
"Devices"
],
"x-required-capabilities": [
"mcp.cap.InventoryRead"
]
}GETKontrollera enhetens förutsättningar/v1/devices/{deviceId}/preflight
Läs lagrad enhetskapacitet och beredskapsinformation utan att skicka en åtgärd.
GET /v1/devices/{deviceId}/preflight ↗mcp.cap.InventoryRead
parametrar
deviceId· sökväg · krävs- Enhetsidentifierare returneras av motsvarande enhetslista. Hanterade agenter och upptäckta nätverksenheter har olika identifierare.
Exempelbegäran
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
}
Invoke-RestMethod -Method GET `
-Uri 'https://api.remotegymp.com/v1/devices/<deviceId>/preflight' `
-Headers $headersBegäran och svarsschema (OpenAPI)
{
"description": "Read stored device capability and readiness information without dispatching an action.",
"operationId": "get_v1_devices_deviceId_preflight",
"parameters": [
{
"description": "Device identifier returned by the corresponding device list. Managed agents and discovered network devices have different identifiers.",
"in": "path",
"name": "deviceId",
"required": true,
"schema": {
"format": "uuid",
"type": "string"
}
}
],
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/IntegrationDevicePreflightResponse"
}
}
},
"description": "OK"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Check device prerequisites",
"tags": [
"Devices"
],
"x-required-capabilities": [
"mcp.cap.InventoryRead"
]
}GETLäs pågående processer/v1/devices/{deviceId}/processes
Begär processinformation från en auktoriserad enhet.
GET /v1/devices/{deviceId}/processes ↗mcp.cap.InventoryRead
parametrar
deviceId· sökväg · krävs- Enhetsidentifierare returneras av motsvarande enhetslista. Hanterade agenter och upptäckta nätverksenheter har olika identifierare.
offset· fråga · tillval- Antal objekt att hoppa över, från noll. Fortsätt använda offseten som returneras av slutpunkten när den är tillgänglig.
pageSize· fråga · tillval- Maximalt antal artiklar som begärs för denna sida. Slutpunktsspecifika gränser kan minska sidstorleken.
Exempelbegäran
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
}
Invoke-RestMethod -Method GET `
-Uri 'https://api.remotegymp.com/v1/devices/<deviceId>/processes' `
-Headers $headersBegäran och svarsschema (OpenAPI)
{
"description": "Request process information from an authorised device.",
"operationId": "get_v1_devices_deviceId_processes",
"parameters": [
{
"description": "Device identifier returned by the corresponding device list. Managed agents and discovered network devices have different identifiers.",
"in": "path",
"name": "deviceId",
"required": true,
"schema": {
"format": "uuid",
"type": "string"
}
},
{
"description": "Number of items to skip, starting at zero. Continue using the offset returned by the endpoint when available.",
"in": "query",
"name": "offset",
"schema": {
"format": "int32",
"type": "integer"
}
},
{
"description": "Maximum number of items requested for this page. Endpoint-specific limits may reduce the page size.",
"in": "query",
"name": "pageSize",
"schema": {
"format": "int32",
"type": "integer"
}
}
],
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiObservedPageOfProcessInfoDto"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Read running processes",
"tags": [
"Devices"
],
"x-required-capabilities": [
"mcp.cap.InventoryRead"
]
}POSTAvsluta en process/v1/devices/{deviceId}/processes/terminate
Kontrollera process-ID och namn innan avslut. Denna kontroll är inte atomär vid slutpunkten.
POST /v1/devices/{deviceId}/processes/terminate ↗mcp.cap.InventoryRead + mcp.cap.CommandsExecute
parametrar
deviceId· sökväg · krävs- Enhetsidentifierare returneras av motsvarande enhetslista. Hanterade agenter och upptäckta nätverksenheter har olika identifierare.
Exempelbegäran
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
'Content-Type' = 'application/json'
}
$body = '{
"idempotencyKey": "<value>",
"value": {
"expectedName": "<value>",
"processId": 1
}
}'
Invoke-RestMethod -Method POST `
-Uri 'https://api.remotegymp.com/v1/devices/<deviceId>/processes/terminate' `
-Headers $headers `
-Body ([System.Text.Encoding]::UTF8.GetBytes($body))Begäran och svarsschema (OpenAPI)
{
"description": "Check the process ID and name before termination. This check is not atomic at the endpoint.",
"operationId": "post_v1_devices_deviceId_processes_terminate",
"parameters": [
{
"description": "Device identifier returned by the corresponding device list. Managed agents and discovered network devices have different identifiers.",
"in": "path",
"name": "deviceId",
"required": true,
"schema": {
"format": "uuid",
"type": "string"
}
}
],
"requestBody": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/IntegrationMutationOfIntegrationKillProcess"
}
}
},
"required": true
},
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/RecoveredOperation"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Terminate a process",
"tags": [
"Devices"
],
"x-required-capabilities": [
"mcp.cap.InventoryRead",
"mcp.cap.CommandsExecute"
]
}GETKontrollera Windows-fjärrskrivbord/v1/devices/{deviceId}/rdp
Läs aktuell slutpunktdiagnostik inom behörighetsområdet.
GET /v1/devices/{deviceId}/rdp ↗mcp.cap.InventoryRead
-scheman (OpenAPI)
WindowsRdpState
0 = Unknown 1 = Disabled 2 = Enabled 3 = PolicyBlocked 4 = Unsupported
parametrar
deviceId· sökväg · krävs- Enhetsidentifierare returneras av motsvarande enhetslista. Hanterade agenter och upptäckta nätverksenheter har olika identifierare.
Exempelbegäran
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
}
Invoke-RestMethod -Method GET `
-Uri 'https://api.remotegymp.com/v1/devices/<deviceId>/rdp' `
-Headers $headersBegäran och svarsschema (OpenAPI)
{
"description": "Read current endpoint diagnostics within credential scope.",
"operationId": "get_v1_devices_deviceId_rdp",
"parameters": [
{
"description": "Device identifier returned by the corresponding device list. Managed agents and discovered network devices have different identifiers.",
"in": "path",
"name": "deviceId",
"required": true,
"schema": {
"format": "uuid",
"type": "string"
}
}
],
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/IntegrationRdpStatus"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Check Windows remote desktop",
"tags": [
"Devices"
],
"x-required-capabilities": [
"mcp.cap.InventoryRead"
]
}POSTAktivera Windows-fjärrskrivbord/v1/devices/{deviceId}/rdp/enable
Aktivera fjärrskrivbord med befintliga slutpunktssäkerheter.
POST /v1/devices/{deviceId}/rdp/enable ↗mcp.cap.DeviceMaintenance
parametrar
deviceId· sökväg · krävs- Enhetsidentifierare returneras av motsvarande enhetslista. Hanterade agenter och upptäckta nätverksenheter har olika identifierare.
Exempelbegäran
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
'Content-Type' = 'application/json'
}
$body = '{
"idempotencyKey": "<value>",
"value": false
}'
Invoke-RestMethod -Method POST `
-Uri 'https://api.remotegymp.com/v1/devices/<deviceId>/rdp/enable' `
-Headers $headers `
-Body ([System.Text.Encoding]::UTF8.GetBytes($body))Begäran och svarsschema (OpenAPI)
{
"description": "Enable remote desktop with existing endpoint safeguards.",
"operationId": "post_v1_devices_deviceId_rdp_enable",
"parameters": [
{
"description": "Device identifier returned by the corresponding device list. Managed agents and discovered network devices have different identifiers.",
"in": "path",
"name": "deviceId",
"required": true,
"schema": {
"format": "uuid",
"type": "string"
}
}
],
"requestBody": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/IntegrationMutationOfboolean"
}
}
},
"required": true
},
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/RecoveredOperation"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Enable Windows remote desktop",
"tags": [
"Devices"
],
"x-required-capabilities": [
"mcp.cap.DeviceMaintenance"
]
}GETLäs enhetstjänster/v1/devices/{deviceId}/services
Begär serviceinformation från en auktoriserad enhet; enhetens tillgänglighet påverkar resultatet.
GET /v1/devices/{deviceId}/services ↗mcp.cap.InventoryRead
parametrar
deviceId· sökväg · krävs- Enhetsidentifierare returneras av motsvarande enhetslista. Hanterade agenter och upptäckta nätverksenheter har olika identifierare.
offset· fråga · tillval- Antal objekt att hoppa över, från noll. Fortsätt använda offseten som returneras av slutpunkten när den är tillgänglig.
pageSize· fråga · tillval- Maximalt antal artiklar som begärs för denna sida. Slutpunktsspecifika gränser kan minska sidstorleken.
Exempelbegäran
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
}
Invoke-RestMethod -Method GET `
-Uri 'https://api.remotegymp.com/v1/devices/<deviceId>/services' `
-Headers $headersBegäran och svarsschema (OpenAPI)
{
"description": "Request service information from an authorised device; device availability affects the result.",
"operationId": "get_v1_devices_deviceId_services",
"parameters": [
{
"description": "Device identifier returned by the corresponding device list. Managed agents and discovered network devices have different identifiers.",
"in": "path",
"name": "deviceId",
"required": true,
"schema": {
"format": "uuid",
"type": "string"
}
},
{
"description": "Number of items to skip, starting at zero. Continue using the offset returned by the endpoint when available.",
"in": "query",
"name": "offset",
"schema": {
"format": "int32",
"type": "integer"
}
},
{
"description": "Maximum number of items requested for this page. Endpoint-specific limits may reduce the page size.",
"in": "query",
"name": "pageSize",
"schema": {
"format": "int32",
"type": "integer"
}
}
],
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiObservedPageOfServiceInfoDto"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Read device services",
"tags": [
"Devices"
],
"x-required-capabilities": [
"mcp.cap.InventoryRead"
]
}GETFå installerad programvara/v1/devices/{deviceId}/software
Läs sparade programvaruobservationer på sidor. Detta skannar eller installerar inte programvara.
GET /v1/devices/{deviceId}/software ↗mcp.cap.InventoryRead
Endast lagrade programvaruobservationer, högst 100 per sida. items null betyder ingen lagrad ögonblicksbild; tom items betyder en observerad tom lista. Numerisk after är en offset. Starta om en export om updatedAtUtc ändras.
parametrar
deviceId· sökväg · krävs- Enhetsidentifierare returneras av motsvarande enhetslista. Hanterade agenter och upptäckta nätverksenheter har olika identifierare.
pageSize· fråga · tillval- Maximalt antal artiklar som begärs för denna sida. Slutpunktsspecifika gränser kan minska sidstorleken.
after· fråga · tillval- Fortsättningsposition från föregående svar. Utelämna för första sidan; behåll samma filter när du fortsätter.
Exempelbegäran
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
}
Invoke-RestMethod -Method GET `
-Uri 'https://api.remotegymp.com/v1/devices/<deviceId>/software' `
-Headers $headersBegäran och svarsschema (OpenAPI)
{
"description": "Stored software observations only, at most 100 per page. items null means no stored snapshot; empty items means an observed empty list. Numeric after is an offset. Restart an export if updatedAtUtc changes.",
"operationId": "get_v1_devices_deviceId_software",
"parameters": [
{
"description": "Device identifier returned by the corresponding device list. Managed agents and discovered network devices have different identifiers.",
"in": "path",
"name": "deviceId",
"required": true,
"schema": {
"format": "uuid",
"type": "string"
}
},
{
"description": "Maximum number of items requested for this page. Endpoint-specific limits may reduce the page size.",
"in": "query",
"name": "pageSize",
"schema": {
"format": "int32",
"type": "integer"
}
},
{
"description": "Continuation position from the previous response. Omit for the first page; keep the same filters when continuing.",
"in": "query",
"name": "after",
"schema": {
"format": "int32",
"type": "integer"
}
}
],
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/SoftwareResponse"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Get installed software",
"tags": [
"Devices"
],
"x-required-capabilities": [
"mcp.cap.InventoryRead"
]
}POSTInstallera programvara/v1/devices/{deviceId}/software/install
Begär installation av den medföljande programvaran på en auktoriserad enhet och inspektera driftresultatet.
POST /v1/devices/{deviceId}/software/install ↗mcp.cap.SoftwareManage + mcp.cap.AutomationRead + mcp.cap.AutomationExecute
parametrar
deviceId· sökväg · krävs- Enhetsidentifierare returneras av motsvarande enhetslista. Hanterade agenter och upptäckta nätverksenheter har olika identifierare.
Exempelbegäran
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
'Content-Type' = 'application/json'
}
$body = '{
"idempotencyKey": "<value>",
"value": {
"packageVersionId": "<UUID>"
}
}'
Invoke-RestMethod -Method POST `
-Uri 'https://api.remotegymp.com/v1/devices/<deviceId>/software/install' `
-Headers $headers `
-Body ([System.Text.Encoding]::UTF8.GetBytes($body))Begäran och svarsschema (OpenAPI)
{
"description": "Request installation of the supplied software on an authorised device and inspect the operation result.",
"operationId": "post_v1_devices_deviceId_software_install",
"parameters": [
{
"description": "Device identifier returned by the corresponding device list. Managed agents and discovered network devices have different identifiers.",
"in": "path",
"name": "deviceId",
"required": true,
"schema": {
"format": "uuid",
"type": "string"
}
}
],
"requestBody": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/IntegrationMutationOfIntegrationSoftwareInstall"
}
}
},
"required": true
},
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/RecoveredOperation"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Install software",
"tags": [
"Devices"
],
"x-required-capabilities": [
"mcp.cap.SoftwareManage",
"mcp.cap.AutomationRead",
"mcp.cap.AutomationExecute"
]
}POSTAvinstallera programvara/v1/devices/{deviceId}/software/uninstall
Begär borttagning av vald programvara från en auktoriserad enhet.
POST /v1/devices/{deviceId}/software/uninstall ↗mcp.cap.SoftwareManage
-scheman (OpenAPI)
SoftwareKind
0 = ClassicDesktop 1 = PackagedApp
parametrar
deviceId· sökväg · krävs- Enhetsidentifierare returneras av motsvarande enhetslista. Hanterade agenter och upptäckta nätverksenheter har olika identifierare.
Exempelbegäran
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
'Content-Type' = 'application/json'
}
$body = '{
"idempotencyKey": "<value>",
"value": {
"identifier": "<value>",
"kind": 0,
"name": "<value>"
}
}'
Invoke-RestMethod -Method POST `
-Uri 'https://api.remotegymp.com/v1/devices/<deviceId>/software/uninstall' `
-Headers $headers `
-Body ([System.Text.Encoding]::UTF8.GetBytes($body))Begäran och svarsschema (OpenAPI)
{
"description": "Request removal of selected software from an authorised device.",
"operationId": "post_v1_devices_deviceId_software_uninstall",
"parameters": [
{
"description": "Device identifier returned by the corresponding device list. Managed agents and discovered network devices have different identifiers.",
"in": "path",
"name": "deviceId",
"required": true,
"schema": {
"format": "uuid",
"type": "string"
}
}
],
"requestBody": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/IntegrationMutationOfSoftwareUninstallRequestDto"
}
}
},
"required": true
},
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/RecoveredOperation"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Uninstall software",
"tags": [
"Devices"
],
"x-required-capabilities": [
"mcp.cap.SoftwareManage"
]
}GETFå hastighetsteststatus/v1/devices/{deviceId}/speed-tests
Läs enhetens hastighetsteststatus och tillgängliga resultat.
GET /v1/devices/{deviceId}/speed-tests ↗mcp.cap.NetworkRead
-scheman (OpenAPI)
NetworkInternetSpeedRunStatus
0 = Queued 1 = Assigned 2 = Completed 3 = CancelRequested 4 = Cancelled 5 = Failed 6 = Expired
NetworkLinkMedium
0 = Unknown 1 = Ethernet 2 = WiFi 3 = Cellular 4 = OtherPhysical
NetworkInternetSpeedProfile
0 = Standard 1 = LowBandwidth
parametrar
deviceId· sökväg · krävs- Enhetsidentifierare returneras av motsvarande enhetslista. Hanterade agenter och upptäckta nätverksenheter har olika identifierare.
Exempelbegäran
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
}
Invoke-RestMethod -Method GET `
-Uri 'https://api.remotegymp.com/v1/devices/<deviceId>/speed-tests' `
-Headers $headersBegäran och svarsschema (OpenAPI)
{
"description": "Read the device's speed-test status and available results.",
"operationId": "get_v1_devices_deviceId_speed_tests",
"parameters": [
{
"description": "Device identifier returned by the corresponding device list. Managed agents and discovered network devices have different identifiers.",
"in": "path",
"name": "deviceId",
"required": true,
"schema": {
"format": "uuid",
"type": "string"
}
}
],
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/NetworkInternetSpeedDeviceSummary"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Get speed-test status",
"tags": [
"Devices"
],
"x-required-capabilities": [
"mcp.cap.NetworkRead"
]
}GETLäs hastighetstesthistorik/v1/devices/{deviceId}/speed-tests/history
Bläddra i behållna hastighetstestresultat för en enhet.
GET /v1/devices/{deviceId}/speed-tests/history ↗mcp.cap.NetworkRead
-scheman (OpenAPI)
NetworkInternetSpeedRunKind
0 = Scheduled 1 = Manual
NetworkLinkMedium
0 = Unknown 1 = Ethernet 2 = WiFi 3 = Cellular 4 = OtherPhysical
NetworkInternetSpeedOutcome
0 = Succeeded 1 = Failed 2 = Cancelled 3 = DeferredBusy 4 = ServerConstrained 5 = InterfaceUnavailable
NetworkInternetSpeedRunStatus
0 = Queued 1 = Assigned 2 = Completed 3 = CancelRequested 4 = Cancelled 5 = Failed 6 = Expired
parametrar
deviceId· sökväg · krävs- Enhetsidentifierare returneras av motsvarande enhetslista. Hanterade agenter och upptäckta nätverksenheter har olika identifierare.
after· fråga · tillval- Fortsättningsposition från föregående svar. Utelämna för första sidan; behåll samma filter när du fortsätter.
pageSize· fråga · tillval- Maximalt antal artiklar som begärs för denna sida. Slutpunktsspecifika gränser kan minska sidstorleken.
Exempelbegäran
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
}
Invoke-RestMethod -Method GET `
-Uri 'https://api.remotegymp.com/v1/devices/<deviceId>/speed-tests/history' `
-Headers $headersBegäran och svarsschema (OpenAPI)
{
"description": "Browse retained speed-test results for a device.",
"operationId": "get_v1_devices_deviceId_speed_tests_history",
"parameters": [
{
"description": "Device identifier returned by the corresponding device list. Managed agents and discovered network devices have different identifiers.",
"in": "path",
"name": "deviceId",
"required": true,
"schema": {
"format": "uuid",
"type": "string"
}
},
{
"description": "Continuation position from the previous response. Omit for the first page; keep the same filters when continuing.",
"in": "query",
"name": "after",
"schema": {
"format": "uuid",
"type": "string"
}
},
{
"description": "Maximum number of items requested for this page. Endpoint-specific limits may reduce the page size.",
"in": "query",
"name": "pageSize",
"schema": {
"format": "int32",
"type": "integer"
}
}
],
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/NetworkInternetSpeedHistoryPage"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Read speed-test history",
"tags": [
"Devices"
],
"x-required-capabilities": [
"mcp.cap.NetworkRead"
]
}GETFå en hastighetstestkörning/v1/devices/{deviceId}/speed-tests/{runId}
Läs en inspelad hastighetstestkörning med dess ID.
GET /v1/devices/{deviceId}/speed-tests/{runId} ↗mcp.cap.NetworkRead
-scheman (OpenAPI)
NetworkInternetSpeedOutcome
0 = Succeeded 1 = Failed 2 = Cancelled 3 = DeferredBusy 4 = ServerConstrained 5 = InterfaceUnavailable
NetworkInternetSpeedRunStatus
0 = Queued 1 = Assigned 2 = Completed 3 = CancelRequested 4 = Cancelled 5 = Failed 6 = Expired
parametrar
deviceId· sökväg · krävs- Enhetsidentifierare returneras av motsvarande enhetslista. Hanterade agenter och upptäckta nätverksenheter har olika identifierare.
runId· sökväg · krävs- Domänkörningsidentifierare som returneras av operationsresultatet, inte operationskvittoidentifieraren.
Exempelbegäran
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
}
Invoke-RestMethod -Method GET `
-Uri 'https://api.remotegymp.com/v1/devices/<deviceId>/speed-tests/<runId>' `
-Headers $headersBegäran och svarsschema (OpenAPI)
{
"description": "Read one recorded speed-test run using its ID.",
"operationId": "get_v1_devices_deviceId_speed_tests_runId",
"parameters": [
{
"description": "Device identifier returned by the corresponding device list. Managed agents and discovered network devices have different identifiers.",
"in": "path",
"name": "deviceId",
"required": true,
"schema": {
"format": "uuid",
"type": "string"
}
},
{
"description": "Domain run identifier returned by the operation result, not the operation receipt identifier.",
"in": "path",
"name": "runId",
"required": true,
"schema": {
"format": "uuid",
"type": "string"
}
}
],
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/NetworkInternetSpeedRunSummary"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Get a speed-test run",
"tags": [
"Devices"
],
"x-required-capabilities": [
"mcp.cap.NetworkRead"
]
}POSTSkapa en temporär administratör/v1/devices/{deviceId}/temporary-admin
Returnera behörigheter en gång, i upp till 24 timmar. Sparade kvitton innehåller aldrig lösenordet.
POST /v1/devices/{deviceId}/temporary-admin ↗mcp.cap.CommandsExecute + mcp.cap.SecurityRead
parametrar
deviceId· sökväg · krävs- Enhetsidentifierare returneras av motsvarande enhetslista. Hanterade agenter och upptäckta nätverksenheter har olika identifierare.
Exempelbegäran
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
'Content-Type' = 'application/json'
}
$body = '{
"idempotencyKey": "<value>",
"value": 1
}'
Invoke-RestMethod -Method POST `
-Uri 'https://api.remotegymp.com/v1/devices/<deviceId>/temporary-admin' `
-Headers $headers `
-Body ([System.Text.Encoding]::UTF8.GetBytes($body))Begäran och svarsschema (OpenAPI)
{
"description": "Return credentials once, for up to 24 hours. Stored receipts never contain the password.",
"operationId": "post_v1_devices_deviceId_temporary_admin",
"parameters": [
{
"description": "Device identifier returned by the corresponding device list. Managed agents and discovered network devices have different identifiers.",
"in": "path",
"name": "deviceId",
"required": true,
"schema": {
"format": "uuid",
"type": "string"
}
}
],
"requestBody": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/IntegrationMutationOfint"
}
}
},
"required": true
},
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/IntegrationTemporaryAdminResponse"
}
}
},
"description": "OK"
},
[...]
